/*
 * script.h	Script/action interface
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef SCRIPT_H
#define SCRIPT_H

/* Action return values */
enum {
	AR_OK,			/* OK, next action */
	AR_DRAIN,		/* OK, finish pending RPCs */
	AR_AGAIN,		/* repeat current action */
	AR_ERROR,		/* report error to caller */
	AR_ABORT,		/* error, abort program */
};

typedef int	(*action_fn_t)(void *cdata);
typedef void *	(*scinit_fn_t)(int argc, char **argv);
typedef void	(*scdone_fn_t)(void *context);

struct script {
	char *		sc_name;
	scinit_fn_t	sc_initialize;
	scdone_fn_t	sc_finish;
	int		sc_len;
	action_fn_t *	sc_actions;
};
extern struct script *	test_table[];

#define nrof(arr)	(sizeof(arr) / sizeof(arr[0]))

struct script *	script_find(char *name);
int		script_run(char *name, int argc, char **argv);
int		script_call(char *name, int argc, char **argv);
int		script_callv(char *name, ...);
int		script_nextaction(void);
void		script_error(char *msg, ...);
void		script_setresult(char *value);
char *		script_getresult(void);


#endif /* SCRIPT_H */
