/*
 * mount.h	Definitions for the mount protocol.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef PROTO_MOUNT_H
#define PROTO_MOUNT_H

#include "xdr/nfs.h"

#define MOUNT_PROGRAM		100005
#define MOUNT_VERSION		1

#define MOUNTPROC_NULL		0
#define MOUNTPROC_MNT		1
#define MOUNTPROC_DUMP		2
#define MOUNTPROC_UMNT		3
#define MOUNTPROC_UMNTALL	4
#define MOUNTPROC_EXPORT	5
#define MOUNTPROC_EXPORTALL	6

#define MNTPATHLEN		1024
#define MNTNAMLEN		255
#define FHSIZE			32

u32 *	xdr_mount_null(u32 *msg);
u32 *	xdr_mount_null_res(u32 *msg);
u32 *	xdr_mount_mnt(u32 *msg, char *path);
u32 *	xdr_mount_mnt_res(u32 *msg, u32 *statp, nfs_fh *fh);
u32 *	xdr_mount_umnt(u32 *msg, char *path);
u32 *	xdr_mount_umnt_res(u32 *msg);
u32 *	xdr_mount_umntall(u32 *msg);
u32 *	xdr_mount_umntall_res(u32 *msg);

#endif /* PROTO_MOUNT_H */
