/*
 * portmap.h		Declarations for the portmapper protocol
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef PROTO_PORPMAP_H
#define PROTO_PORPMAP_H

#define PMAP_PORT		111
#define PMAP_PROGRAM		100000
#define PMAP_VERSION		2
#define PMAPPROC_NULL		0
#define PMAPPROC_SET		1
#define PMAPPROC_UNSET		2
#define PMAPPROC_GETPORT	3
#define PMAPPROC_DUMP		4
#define PMAPPROC_CALLIT		5

struct pmap {
	u32		pm_prog;
	u32		pm_vers;
	u32		pm_prot;
	u32		pm_port;
};

struct pmaplist {
	struct pmap	pml_map;
	struct pmaplist *pml_next;
};

u32 *	xdr_pmap_null(u32 *msg);
u32 *	xdr_pmap_null_res(u32 *msg);
u32 *	xdr_pmap_set(u32 *msg, struct pmap *pmap);
u32 *	xdr_pmap_set_res(u32 *msg, u32 *okay);
u32 *	xdr_pmap_unset(u32 *msg, struct pmap *pmap);
u32 *	xdr_pmap_unset_res(u32 *msg, u32 *okay);
u32 *	xdr_pmap_getport(u32 *msg, struct pmap *pmap);
u32 *	xdr_pmap_getport_res(u32 *msg, u32 *port);

#endif /* PROTO_PORPMAP_H */
