/*
 * rpc.h	General RPC declarations.
 *
 */

#ifndef PROTO_RPC_H
#define PROTO_RPC_H

enum {
	RPC_SUCCESS=0,			/* call succeeded */
	RPC_CANTENCODEARGS=1,		/* can't encode arguments */
	RPC_CANTDECODERES=2,		/* can't decode results */
	RPC_CANTSEND=3,			/* failure in sending call */
	RPC_CANTRECV=4,			/* failure in receiving result */
	RPC_TIMEDOUT=5,			/* call timed out */
	RPC_VERSMISMATCH=6,		/* rpc versions not compatible */
	RPC_AUTHERROR=7,		/* authentication error */
	RPC_PROGUNAVAIL=8,		/* program not available */
	RPC_PROGVERSMISMATCH=9,		/* program version mismatched */
	RPC_PROCUNAVAIL=10,		/* procedure unavailable */
	RPC_CANTDECODEARGS=11,		/* decode arguments error */
	RPC_SYSTEMERROR=12,		/* generic "other problem" */
	RPC_UNKNOWNHOST=13,		/* unknown host name */
	RPC_UNKNOWNPROTO=17,		/* unkown protocol */
	RPC_PMAPFAILURE=14,		/* the pmapper failed in its call */
	RPC_PROGNOTREGISTERED=15,	/* remote program is not registered */
	RPC_FAILED=16
};

extern u32	rpcstat;
extern int	auth_uid;
extern int	auth_gid;

u32 *	rpc_header(u32 *msg, u32 prog, u32 vers, u32 proc);
u32	rpc_reply(u32 **msgp);

#endif /* PROTO_RPC_H */
