/*
 * xgetopt.h	extended getopt -- GNU getopt is not re-entrant, and doesn't
 *		have type conversions.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef XGETOPT_H
#define XGETOPT_H

enum {
	OPT_END,
	OPT_TRUE,
	OPT_FALSE,
	OPT_HELP,

	OPT_INT,		/* these take arguments */
	OPT_STRING,
	OPT_ADDR,
	OPT_PORT,
	OPT_FUNC,
	OPT_PTR,

	OPT_MAXTYPE
};

struct xoption {
	char *	lname;		/* or NULL */
	char	sname;		/* or NUL */
	char	type;
	int	(*func)(char *arg, void *data);
	void *	data;
	char *	help;
};

int	xgetopt(int argc, char **argv, struct xoption *opt, int *last);

#endif /* XGETOPT_H */
